#
# spec file for package ksquares
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ksquares
BuildRequires:  libkdegames-devel
BuildRequires:  xz
Summary:        Strategic board game
License:        GPL-2.0+
Group:          Amusements/Games/Action/Arcade
Url:            http://www.kde.org
Version:        4.12.90
Release:        0
Source0:        ksquares-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
KSquares is an implementation of the popular paper based game squares.
You must draw lines to complete squares, the player with the most
squares wins. You can play with up to 4 players, any number of which
may be controlled by the computer.


%prep
%setup -q -n ksquares-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %kde4_makeinstall
  %suse_update_desktop_file -r ksquares          Game BoardGame
  %kde_post_install

%files 
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kde4_bindir}/ksquares
%{_kde4_htmldir}/en/ksquares/
%{_kde4_applicationsdir}/ksquares.desktop
%{_kde4_iconsdir}/hicolor/*/apps/ksquares.*
%{_kde4_appsdir}/ksquares/
%{_kde4_configkcfgdir}/ksquares.kcfg

%changelog
